"use strict";
///<reference path="./types/base26.d.ts" />
Object.defineProperty(exports, "__esModule", { value: true });
const stream_1 = require("stream");
const Workbook_1 = require("./lib/Workbook");
async function from(src) {
    const workbook = new Workbook_1.default();
    if (src instanceof stream_1.Readable) {
        return new Promise(function (resolve, reject) {
            src.pipe(workbook.xlsx.createInputStream())
                .on('finish', () => resolve(workbook))
                .on('error', err => reject(err));
        });
    }
    await workbook.xlsx.readFile(src);
    return workbook;
}
exports.from = from;
