declare abstract class Axis {
    abstract index: number;
    abstract label: string;
    abstract abs: boolean;
    valueOf(): number;
    toString(): string;
}
export declare class Row extends Axis {
    label: string;
    index: number;
    abs: boolean;
    constructor(label: string | number);
}
export declare class Column extends Axis {
    label: string;
    index: number;
    abs: boolean;
    constructor(labelOrIndex: string | number);
}
export declare class InvalidCoordError extends Error {
    constructor(text: string);
}
export declare class Coordinate {
    sheet: number;
    label: string;
    column: Column;
    row: Row;
    constructor(col: Column, row: Row, sheet?: number);
    constructor(label: string);
    shift(deltaCol?: number, deltaRow?: number): Coordinate;
    isAbsolute(): boolean;
    valueOf(): number[];
    toJSON(): {
        label: string;
        sheet: number;
    };
    toString(): string;
}
export declare class CoordRelation {
    rel: Coordinate;
    pivot: Coordinate;
    private offset;
    constructor(rel: Coordinate, pivot: Coordinate);
    resolveFrom(target: Coordinate): Coordinate;
}
export {};
