import Column from './axis/Column';
import Row from './axis/Row';
import Sheet from './axis/Sheet';
import Vector from './Vector';
import Labelable from './Labelable';
/**
 * Reference is the absolute cell reference used in excel
 */
export default class Reference implements Labelable {
    readonly sheet: Sheet;
    readonly column: Column;
    readonly row: Row;
    constructor(sheet: Sheet, column: Column, row: Row);
    offset(vec: Vector): Reference;
    equals(another: Reference): boolean;
    toString(): string;
    readonly label: string;
    /**
     * @param label Omitting "$" is allowed but every cell ref is treated as an absolute ref.
     */
    static from(label: string): Reference;
}
