"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Reference_1 = require("./Reference");
/**
 * Vector is the relative cell reference used in excel
 */
class Vector {
    constructor(colOffset, rowOffset) {
        this.colOffset = colOffset;
        this.rowOffset = rowOffset;
    }
    normalize() {
        return new Vector(this.colOffset / this.length, this.rowOffset / this.length);
    }
    get length() {
        return Math.sqrt(this.colOffset * this.colOffset + this.rowOffset * this.rowOffset);
    }
    static from(label, pivot) {
        const targetRef = Reference_1.default.from(label);
        const pivotRef = Reference_1.default.from(pivot);
        return new Vector(targetRef.column.index.base0 - pivotRef.column.index.base0, targetRef.row.index.base0 - pivotRef.row.index.base0);
    }
}
exports.default = Vector;
