"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base26 = require("base26");
const Axis_1 = require("./Axis");
const Index_1 = require("./Index");
class Column extends Axis_1.default {
    constructor(index) {
        super();
        this.index = index;
    }
    get label() {
        return `$${base26.to(this.index.base1).toUpperCase()}`;
    }
    static from(label) {
        const index = label.replace(/^\$/, '').toLowerCase();
        // base26 is 1-based index
        return new Column(new Index_1.default(base26.from(index), 1));
    }
}
exports.default = Column;
