"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ValueError_1 = require("../../errors/ValueError");
class Index {
    constructor(index, base = 0) {
        if (index < base) {
            throw new ValueError_1.default(`The index (${index}) should not be less than the base (${base}).`);
        }
        this._base0 = index - base;
    }
    get base0() {
        return this.toBase(0);
    }
    get base1() {
        return this.toBase(1);
    }
    toBase(base) {
        return this._base0 + base;
    }
    valueOf() {
        return this._base0;
    }
    toJSON() {
        return this._base0;
    }
    toString() {
        return '' + this._base0;
    }
}
exports.default = Index;
