"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Axis_1 = require("./Axis");
const Index_1 = require("./Index");
const ValueError_1 = require("../../errors/ValueError");
class Row extends Axis_1.default {
    constructor(index) {
        super();
        this.index = index;
    }
    get label() {
        return `$${this.index.base1}`;
    }
    static from(label) {
        const index = Number(label.replace(/^\$/, ''));
        if (Number.isNaN(index))
            throw new ValueError_1.default(`The index should not be NaN.`);
        // index is 1-based index
        return new Row(new Index_1.default(index, 1));
    }
}
exports.default = Row;
