"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const fs_1 = require("fs");
const mkdirp = require("mkdirp");
const debug_1 = require("debug");
exports.debug = debug_1.default('excel-module');
function dumpToFile(file, str) {
    if (exports.debug.enabled) {
        return new Promise(function (resolve, reject) {
            require('find-pkg')(__dirname)
                .then(function (pkgDir) {
                const DUMP_FILE = path_1.resolve(path_1.join(path_1.dirname(pkgDir), '.debug'), file);
                mkdirp(path_1.dirname(DUMP_FILE), (err) => {
                    if (err)
                        return reject(err);
                    fs_1.writeFile(DUMP_FILE, str, 'utf8', (err) => {
                        if (err)
                            return reject(err);
                        resolve(DUMP_FILE);
                    });
                });
            })
                .catch((err) => reject(err));
        });
    }
    return Promise.resolve('');
}
exports.dumpToFile = dumpToFile;
